## LassoPaosRequest

LassoPaosRequest — <paos:Request>

## Functions

int | lasso_paos_request_validate ()
LassoNode * | lasso_paos_request_new ()

## Description

Figure 21. Schema fragment for paos:Request

    <xs:element name="Request" type="RequestType"/>
    <xs:complexType name="RequestType">
        <xs:attribute name="responseConsumerURL" type="xs:anyURI" use="required"/>
        <xs:attribute name="service" type="xs:anyURI" use="required"/>
        <xs:attribute name="messageID" type="IDType" use="optional"/>
        <xs:attribute ref="S:mustUnderstand" use="required"/>
        <xs:attribute ref="S:actor" use="required"/>
    </xs:complexType>

## Functions

### lasso_paos_request_validate ()

    int
    lasso_paos_request_validate (LassoPaosRequest *node);

Validates the object conforms to required values.

- responseConsumerURL must be non-NULL
- mustUnderstand must be TRUE
- actor must be equal to LASSO_SOAP_ENV_ACTOR
- service must be equal to LASSO_ECP_HREF

#### Parameters

request | The LassoPaosRequest object to validate |

#### Returns

0 on success, error code otherwise

### lasso_paos_request_new ()

    LassoNode *
    lasso_paos_request_new (const gchar *responseConsumerURL,
                            const gchar *messageID);

The LassoPaosRequest object is initialized as follows:

responseConsumerURL = `responseConsumerURL` (if non-NULL)
messageID = `messageID` (if non-NULL) otherwise generated unique id
mustUnderstand = TRUE
actor = LASSO_SOAP_ENV_ACTOR
service = LASSO_ECP_HREF

#### Parameters

responseConsumerURL | . | [allow-none]
messageID | . | [allow-none]

#### Returns

newly created & initialized LassoPaosRequest object